<?php
/*
 * Plugin Name: WPCargo - JStar Logistics
 * Plugin URI: http://wptaskforce.com/
 * Description: Customizes plugin for the JStar Logistics
 * Author: <a href="http://www.wptaskforce.com/">WPTaskForce</a>
 * Text Domain: jstart-logistics
 * Domain Path: /languages
 * Version: 2.2.0
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
//* Defined constant
define( 'WPCSTL_URL', plugin_dir_url( __FILE__ ) );
define( 'WPCSTL_PATH', plugin_dir_path( __FILE__ ) );
define( 'WPCSTL_TEXTDOMAIN', 'jstart-logistics' );
define( 'WPCSTL_VERSION', '2.2.0' );
define( 'WPCSTL_HOME_URL', home_url() );
define( 'WPCSTL_BASENAME', plugin_basename( __FILE__ ) );

// Customize fields
define( 'WPCSTL_SHIPPER_POSTCODE_METAKEY', 'shipper_postcode' );
define( 'WPCSTL_SHIPPER_EMAIL_METAKEY', 'wpcargo_shipper_email' );
define( 'WPCSTL_SHIPPER_PHONE_METAKEY', 'wpcargo_shipper_phone' );
define( 'WPCSTL_RECEIVER_POSTCODE_METAKEY', 'receiver_postcode' );
define( 'WPCSTL_RECEIVER_EMAIL_METAKEY', 'wpcargo_receiver_email' );
define( 'WPCSTL_RECEIVER_PHONE_METAKEY', 'wpcargo_receiver_phone' );

require_once( WPCSTL_PATH.'includes/locations.php');
require_once( WPCSTL_PATH.'includes/helpers.php');
require_once( WPCSTL_PATH.'includes/hooks.php');
require_once( WPCSTL_PATH.'includes/woo.php');
require_once( WPCSTL_PATH.'includes/print.php');
/*
 * Note: To appy this plugin in the live site Update the following files
 * assets/js/scripts.js - update the options value mapping, value is dynamic based on the database location ID
 * assets/js/scripts.js - Line: 142 update the options value mapping, value is dynamic based on the database location ID
 * includes/helpers.php - function "wpcstl_map_location" - change the location id mapping
 */